> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate action



## OpenAPI

````yaml patch /v1/actions/validate-action
openapi: 3.0.0
info:
  title: Actions APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/actions
  - url: https://staging.api.eu.aptlydone.com/actions
  - url: https://api.us.aptlydone.com/actions
  - url: https://api.eu.aptlydone.com/actions
security: []
tags: []
paths:
  /v1/actions/validate-action:
    patch:
      tags:
        - actions
      summary: Validate action
      operationId: ActionController_validateActionRequest_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionExistDto'
      responses:
        '200':
          description: Action validated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionExistResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    ActionExistDto:
      type: object
      properties:
        delegationId:
          type: string
          format: uuid
          description: Delegation ID (optional)
          example: f1a8ad1b-b597-44c2-a756-f42f3bc35b63
        decisionId:
          type: string
          format: uuid
          description: Decision ID (optional)
          example: 64d365be-f8d6-4d1a-9192-46737dc112d2
        tenantId:
          type: string
          format: uuid
          description: Tenant ID
          example: 38453168-0991-4d24-9b49-4cf641f8a7bf
      required:
        - tenantId
    ActionExistResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:27:47.328Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/ActionExistResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    ActionExistResponseDto:
      type: object
      properties:
        actionName:
          type: string
          example: Delegation Request
          description: Name of action If Exist
        isExist:
          type: boolean
          example: true
          description: Action Exist or not
        userId:
          type: string
          example: 8d61a283-4ae9-4f21-b52d-3f557709d89b
          description: Owner Id
      required:
        - actionName
        - isExist
        - userId
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````